summaryrefslogtreecommitdiffstats
path: root/libraries/libwww-perl
diff options
context:
space:
mode:
author LukenShiro <lukenshiro@ngi.it>2010-05-11 22:54:15 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:15 +0200
commit10f1c5a73ba4981637ca4a0ecedad77b28d51a62 (patch)
treed3ec28d6611197d350fd2fd3a395dc0a2b7623bb /libraries/libwww-perl
parentbf94af1ca245ed36d779a1cbfff8e807c306165d (diff)
downloadslackbuilds-10f1c5a73ba4981637ca4a0ecedad77b28d51a62.tar.gz
slackbuilds-10f1c5a73ba4981637ca4a0ecedad77b28d51a62.tar.xz
libraries/libwww-perl: Added to 12.1 repository
Diffstat (limited to 'libraries/libwww-perl')
-rw-r--r--libraries/libwww-perl/README25
-rw-r--r--libraries/libwww-perl/libwww-perl.SlackBuild84
-rw-r--r--libraries/libwww-perl/libwww-perl.info8
-rw-r--r--libraries/libwww-perl/slack-desc20
4 files changed, 137 insertions, 0 deletions
diff --git a/libraries/libwww-perl/README b/libraries/libwww-perl/README
new file mode 100644
index 0000000000..375503cf8a
--- /dev/null
+++ b/libraries/libwww-perl/README
@@ -0,0 +1,25 @@
+libwww-perl - WWW client/server library for perl
+
+It is a set of Perl modules which provides a simple and consistent
+application programming interface to the World-Wide Web. The main focus of
+the library is to provide classes and functions that allow you to write
+WWW clients. The library also contain modules that are of more general
+use and even classes that help you implement simple HTTP servers.
+
+It includes the following perl modules: Bundle::LWP, File::Listing,
+HTML::Form, HTTP::Cookies, HTTP::Cookies::Microsoft, HTTP::Cookies::Netscape,
+HTTP::Daemon, HTTP::Date, HTTP::Headers, HTTP::Headers::Auth,
+HTTP::Headers::ETag, HTTP::Headers::Util, HTTP::Message, HTTP::Negotiate,
+HTTP::Request, HTTP::Request::Common, HTTP::Response, HTTP::Status, LWP,
+LWP::Authen::Basic, LWP::Authen::Digest, LWP::Authen::Ntlm, LWP::ConnCache,
+LWP::Debug, LWP::DebugFile, LWP::MediaTypes, LWP::MemberMixin, LWP::Protocol,
+LWP::Protocol::GHTTP, LWP::Protocol::cpan, LWP::Protocol::data,
+LWP::Protocol::file, LWP::Protocol::ftp, LWP::Protocol::gopher,
+LWP::Protocol::http, LWP::Protocol::http10, LWP::Protocol::https,
+LWP::Protocol::https10, LWP::Protocol::loopback, LWP::Protocol::mailto,
+LWP::Protocol::nntp, LWP::Protocol::nogo, LWP::RobotUA, LWP::Simple,
+LWP::UserAgent, Net::HTTP, Net::HTTP::Methods, Net::HTTP::NB, Net::HTTPS,
+WWW::RobotRules, WWW::RobotRules::AnyDBM_File.
+
+It requires: perl-html-parser, perl-html-tagset and Compress-Zlib. All of
+them are available on SlackBuilds.org
diff --git a/libraries/libwww-perl/libwww-perl.SlackBuild b/libraries/libwww-perl/libwww-perl.SlackBuild
new file mode 100644
index 0000000000..c66b302a50
--- /dev/null
+++ b/libraries/libwww-perl/libwww-perl.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for libwww-perl
+
+# Copyright 2008 LukenShiro <lukenshiro@ngi.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libwww-perl
+VERSION=${VERSION:-5.819}
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCFILES="AUTHORS Changes README README.SSL"
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+echo "y" | perl Makefile.PL INSTALLDIRS=vendor
+
+make
+make install DESTDIR=$PKG
+
+#Move man-pages to appropriate place
+mv $PKG/usr/share/man $PKG/usr/
+
+# Remove perlocal.pod, .packlist and .bs from $PKG
+( for i in perllocal.pod .packlist *.bs; do
+ find $PKG -name "$i" -exec rm -rf {} \;
+ done
+)
+
+# Remove empty directories
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+# compress man pages
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libwww-perl/libwww-perl.info b/libraries/libwww-perl/libwww-perl.info
new file mode 100644
index 0000000000..f959cc0e54
--- /dev/null
+++ b/libraries/libwww-perl/libwww-perl.info
@@ -0,0 +1,8 @@
+PRGNAM="libwww-perl"
+VERSION="5.819"
+HOMEPAGE="http://search.cpan.org/dist/libwww-perl/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/libwww-perl-5.819.tar.gz"
+MD5SUM="17130dbc18461fe7664bc122c473a16c"
+MAINTAINER="LukenShiro"
+EMAIL="lukenshiro@ngi.it"
+APPROVED="dsomero"
diff --git a/libraries/libwww-perl/slack-desc b/libraries/libwww-perl/slack-desc
new file mode 100644
index 0000000000..ba2a4de95b
--- /dev/null
+++ b/libraries/libwww-perl/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
+libwww-perl: libwww-perl (WWW client/server library for perl)
+libwww-perl:
+libwww-perl: It is a set of Perl modules which provides a simple and consistent
+libwww-perl: application programming interface to the World-Wide Web. The main
+libwww-perl: focus of the library is to provide classes and functions that
+libwww-perl: allow you to write WWW clients. The library also contain modules
+libwww-perl: that are of more general use and even classes that help you
+libwww-perl: implement simple HTTP servers.
+libwww-perl:
+libwww-perl: Homepage: http://search.cpan.org/dist/libwww-perl
+libwww-perl:
+